org.apache.hadoop.registry.client.api

## Interface BindFlags

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface BindFlags

  Combinable Flags to use when creating a service entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CREATE` Create the entry..
    `static int` | `OVERWRITE` The entry should be created even if an existing entry is there.

- - ### Field Detail

    - #### CREATE

          static final int CREATE

      Create the entry.. This is just "0" and can be "or"ed with anything
      See Also:
        Constant Field Values

    - #### OVERWRITE

          static final int OVERWRITE

      The entry should be created even if an existing entry is there.
      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.